= form_for(@reservation) do |f|
  - if @reservation.errors.any?
    .alert.alert-danger{ role: "alert" }
      %span.glyphicon.glyphicon-exclamation-sign{ "aria-hidden" => "true" }
      %strong Your response was not saved
      because
      %br/
      - @reservation.errors.messages.each do |message|
        - field = I18n.t("registration.form.#{message.shift}").downcase
        - error = message.first.shift.downcase
        = "#{field} #{error}"
        %br/
  .form
    .form-group
      %h5= t 'registration.form.registered_guest.form_label'
      %label{ for: "email" }= t 'registration.form.email'
      = f.text_field(                                               |
          :email,                                                   |
          id: 'email',                                              |
          class: 'form-control',                                    |
          placeholder: "#{t 'registration.form.email_placeholder'}" |
        )                                                           |
    %br/
    .form-group
      = f.fields_for :guests do |guest|
        - if guest.object.staff
          = render "guest", f: guest, labels: guest_labels(true)
        - else
          .checkbox
            %label
              %input#bring-partner{                           |
              onclick: "toggle('plus-one', 'bring-partner')", |
              type: "checkbox" }                              |
              = t 'registration.form.registered_guest.plus_one_label'
          #plus-one.plus-one.hidden
            %hr/
            %h5= t 'registration.form.guests.form_label'
            = render "guest", f: guest, labels: guest_labels
      %br/
      .row
        %a.btn.btn-lg.btn-default{ href: root_path }= t 'registration.back'
        = f.submit("#{t 'registration.action'}", |
            class: 'btn btn-lg btn-success'      |
          )                                      |
